# Uses of Class
org.apache.sysds.runtime.instructions.cp.UnaryCPInstruction

Packages that use UnaryCPInstruction
Package
Description
org.apache.sysds.resource.cost
org.apache.sysds.runtime.instructions.cp
org.apache.sysds.runtime.instructions.cpfile
org.apache.sysds.runtime.instructions.fed

## Uses of UnaryCPInstruction in org.apache.sysds.resource.cost

Methods in org.apache.sysds.resource.cost with parameters of type UnaryCPInstruction
Modifier and Type
Method
Description
`static double`
CPCostUtils.`getDataGenCPInstTime(UnaryCPInstruction inst, VarStats output, IOCostUtils.IOMetrics metrics)`
`static double`
CPCostUtils.`getUnaryInstTime(UnaryCPInstruction inst, VarStats input, VarStats weights, VarStats output, IOCostUtils.IOMetrics metrics)`

## Uses of UnaryCPInstruction in org.apache.sysds.runtime.instructions.cp

Subclasses of UnaryCPInstruction in org.apache.sysds.runtime.instructions.cp
Modifier and Type
Class
Description
`class`
`AggregateUnaryCPInstruction`
`class`
`BroadcastCPInstruction`
`class`
`CentralMomentCPInstruction`
`class`
`DataGenCPInstruction`
`class`
`DnnCPInstruction`
`class`
`EvictCPInstruction`
`final class`
`FrameIndexingCPInstruction`
`class`
`IndexingCPInstruction`
`final class`
`ListIndexingCPInstruction`
`final class`
`MatrixIndexingCPInstruction`
`class`
`MMChainCPInstruction`
`class`
`MMTSJCPInstruction`
`class`
`PrefetchCPInstruction`
`class`
`QuantileSortCPInstruction`
This class supports two variants of sort operation on a 1-dimensional input matrix.
`class`
`ReorgCPInstruction`
`class`
`ReshapeCPInstruction`
`class`
`StringInitCPInstruction`
`class`
`UaggOuterChainCPInstruction`
`class`
`UnaryFrameCPInstruction`
`class`
`UnaryMatrixCPInstruction`
`class`
`UnaryScalarCPInstruction`
Methods in org.apache.sysds.runtime.instructions.cp that return UnaryCPInstruction
Modifier and Type
Method
Description
`static UnaryCPInstruction`
UnaryCPInstruction.`parseInstruction(String str)`

## Uses of UnaryCPInstruction in org.apache.sysds.runtime.instructions.cpfile

Subclasses of UnaryCPInstruction in org.apache.sysds.runtime.instructions.cpfile
Modifier and Type
Class
Description
`final class`
`MatrixIndexingCPFileInstruction`
This instruction is used if a single partition is too large to fit in memory.

## Uses of UnaryCPInstruction in org.apache.sysds.runtime.instructions.fed

Methods in org.apache.sysds.runtime.instructions.fed with parameters of type UnaryCPInstruction
Modifier and Type
Method
Description
`static UnaryFEDInstruction`
UnaryFEDInstruction.`parseInstruction(UnaryCPInstruction inst, ExecutionContext ec)`